var vm;

/* 跳转到正文部分 */
function toLocationTitle(){
    var top = vm.$refs.titleLocation.offsetTop;
    window.scrollTo({
        left: 0,
        top: top,
        behavior: "smooth"
    });
}

/* 跳转到评论区 */
function toLocationComment(){
    var top = vm.$refs.commentLocation.offsetTop;
    window.scrollTo({
        left: 0,
        top: top,
        behavior: "smooth"
    });
}

var params;

/* 获取评论 */
function getComment(){
    /* 通知客户端，获取评论 */
    // getCommentRequest(params.pageNo, params.pageSize, params.parentId);
    if (window.java) window.java.getCommentRequest(params.pageNo, params.pageSize, params.parentId);
    else window.location = "(" + params.pageNo + "(" + params.pageSize + "(" + params.parentId + "(getCommentRequest";
}

/* 评论渲染 */
function renderComment(jsonString){
    var data;
    if ((null == jsonString || "" == jsonString) && window.java && typeof window.java.getComments == "function") {
        jsonString = window.java.getComments();
        data = JSON.parse(jsonString);
    }
    else data = jsonString;
    if (vm.$data.commentParams.pageNo == 0) {
        vm.$data.commentList = data.commentList;
    } else {
        vm.$data.commentList = vm.$data.commentList.concat(
            data.commentList
        );
    }
    vm.$data.commentTotal = data.totalComment;

    vm.$data.commentPage = Math.ceil(
        data.totalComment / vm.$data.commentParams.pageSize
    );

    if (vm.$data.commentParams.pageNo >= vm.$data.commentPage - 1) {
        vm.$data.commentLoadOver = true;
    } else {
        vm.$data.commentLoadOver = false;
    }
}

/* 获取评论回复 */
function getCommentReply(comment){
    /* 通知客户端，获取评论回复 */
    // getCommentRequest(comment.replayParams.pageNo, comment.replayParams.pageSize, comment.replayParams.commentId);
    if (window.java) window.java.getCommentRequest(comment.replayParams.pageNo, comment.replayParams.pageSize, comment.replayParams.commentId);
    else window.location = "(" + comment.replayParams.pageNo + "(" + comment.replayParams.pageSize + "(" + comment.replayParams.commentId + "(getCommentRequest";
}

/* 评论回复渲染 */
function renderCommentReply(jsonString){
    var data;
    if ((null == jsonString || "" == jsonString) && window.java && typeof window.java.getComments == "function") {
        jsonString = window.java.getComments();
        data = JSON.parse(jsonString);
    }
    else data = jsonString;

    for(var i=0;i<vm.$data.commentList.length;i++){
        if(vm.$data.commentList[i].id == data.parentId){
            var curComment = vm.$data.commentList[i];
            if (curComment.replayParams.pageNo == 0) {
                curComment.childArray = data.commentList;
            } else {
                curComment.childArray = curComment.childArray.concat(data.commentList);
            }
            break;
        }
    }
}

/* 评论点赞后 */
function commentPraised(commentId,topCount){
    for(var i=0;i<vm.$data.commentList.length;i++){
        if(vm.$data.commentList[i].id == commentId){
            var curComment = vm.$data.commentList[i];
            curComment.praised = true;
            curComment.topCount = topCount;
            break;
        }
    }
}

/**
 Android通知页面调用getBody方法，获得详细页JSON。
 因为Android直接传值，遇到特殊字符会有乱码。所以需要页面主动调用返回值。
 IOS没有这个问题。
 **/
function setBody(jsonString, themeColor, deviceId, userId) {
    var detail;
    if ((null == jsonString || "" == jsonString) && window.java && typeof window.java.getBody == "function") {
        jsonString = window.java.getBody();
        detail = JSON.parse(jsonString);
    }
    else detail = jsonString;
    var studyJsonData = detail.studyJson;

    let tagList = detail.tags;
    if (tagList) {
        tagList = tagList.split(/,|，|\s+/);
    } else {
        tagList = [];
    }

    var activity = null;
    if(!!detail.activity && JSON.stringify(detail.activity) != "{}"){
        activity = detail.activity;
    }

    var publishTime = "";
    if(!!detail.firstAppPublishTime && detail.firstAppPublishTime.length>0){
        publishTime = detail.firstAppPublishTime.slice(0, 16);
    }else if(!!detail.publishTime && detail.publishTime.length>0){
        publishTime = detail.publishTime.slice(0, 16);
    }

    vm = new Vue({
        el: ".base",
        data() {
            return {
                title: detail.title,
                source: detail.source,
                publishTime: publishTime,
                editor: detail.editor,
                editorIntern: detail.editorIntern,
                allowComment: detail.allowComment,
                likeType: detail.likeType,
                topCount: detail.topCount,
                content: detail.text,
                tagList: tagList,
                commentParams:{
                    contentId: detail.id,
                    type: detail.contentType,
                    orderFlag: 0,
                    pageNo: 0,
                    pageSize: 10,
                    parentId: 0,
                },
                commentList: [],
                commentLoadOver: false,
                commentTotal: 0,
                commentPage: 0,
                relatedList: [],
                allowLikes: detail.allowLikes,
                adList: detail.ads,
                vote: detail.vote,
                showVoteResult: false,
                voteTotalCount: 0,
                /**学习相关**/
                isStudy: studyJsonData ? studyJsonData.isStudy : 0,
                studyTime: studyJsonData ? studyJsonData.duration : 0,
                studyStatus: 0,
                study_minute: '00',
                study_second: '00',
                /** 是否是自媒体用户发布内容 **/
                isWeMedia: detail.selfChannelOrNot,
                /** 自媒体用户昵称 **/
                weMediaNick: "",
                /** 自媒体用户头像 **/
                weMediaPortrait: "",
                /** 是否订阅自媒体 **/
                weMediaSubscribed: 0,
                /** 是否显示开启订阅提示框 **/
                openSubscribe: 0,
                /* 阅读量 */
                readCount: detail.playCount,
                isShowReadCount: detail.isShowPlayCount,

                /** 活动 **/
                activity: activity,
                /** 推荐频道 **/
                isRecommend: (JSON.stringify(detail.recommendChannelJson) != '{}') ? true: false,
                recommendChannelName: (JSON.stringify(detail.recommendChannelJson) != '{}') ? detail.recommendChannelJson.channelName + "频道": "",
                recommendChannelId: (JSON.stringify(detail.recommendChannelJson) != '{}') ? detail.recommendChannelJson.channelId: null,
                /* 记者号列表 */
                reporterMediaList: [],
                /* 记者号 */
                reporterMedia: null,
            }
        },
        filters: {
            filterEditor:function(value){
                try {
                    var list = JSON.parse(value);
                    var str = '';
                    if(list instanceof Array){
                        var pArray = [];
                        list.forEach((item) => {
                           pArray.push(item.realname);
                        });
                        str = pArray.join(",");
                    }else{
                        str = value;
                    }
                    return str;
                } catch (error) {
                    return value;
                }
            }
        },
        methods: {
            init: function () {
                /** 处理正文中段首空格占位 **/
                replaceNBSP();
                /** 处理正文中的图片点击放大 **/
                addImgListener();
                /** 处理正文中的内链点击 **/
                addContentLinkListener();
                /** 处理正文中的活动内链点击 **/
                addActivityLinkListener();
                /** 处理正文中的广告内链点击 **/
                addAdLinkListener();
                /** 处理正文中的视频 **/
                replaceVideo();
                /** 处理正文音频 **/
                replaceAudio();
                /** 强制处理图片、表格、内链 **/
                formatContent();
                /** 处理主体颜色 **/
                /*themeColor = themeColor || "#000";
                 $( ".theme_color" ).css( "color", themeColor );
                 $( ".theme_back" ).css( "background-color", themeColor );
                 $( ".theme_border" ).css( "border-color", themeColor );*/
            },
            loadMoreComment: function(){
                /** 更多评论 **/
                params.pageNo++;
                getComment();
            },
            onClickCommentMoreReply: function(comment){
                /** 更多评论回复 **/
                if (!!comment.replayParams) {
                    comment.replayParams.pageNo++;
                    getCommentReply(comment);
                } else {
                    comment.replayParams = {
                        pageNo: 0,
                        pageSize: params.pageSize,
                        parentId: comment.id,
                        commentId: comment.id,
                    };
                    getCommentReply(comment);
                }
            },
            onClickCommentPraise: function (event,comment) {
                /** 评论点赞 **/
                var _this = this;
                let target = event.currentTarget;
                let clsArray = target.classList;
                if (!clsArray.contains("praised")) {
                    /* 通知客户端，评论点赞 */
                    // addCommentTop(comment.id);
                    if (window.java) window.java.addCommentTop(comment.id);
                    else window.location = "(" + comment.id + "(addCommentTop";
                }
            },
            onClickCommentReply: function(commentId){
                /** 评论回复 **/
                onClickReplyComment(commentId);
            },
            onPraiseClick: function () {
                /** 文章点赞 **/
                onClickTop();
            },
            onRelatedClick: function (index, content) {
                /** 点击相关新闻 **/
                onClickRelatedContent(content);
            },
            onAdClick: function (index, ad) {
                /** 点击广告 **/
                onClickAd(ad.adId);
            },
            onActivityClick: function(activity){
                /** 点击活动 **/
                onClickActivity( activity.activityId );
            },
            onShareClick: function (type) {
                /** 点击分享 **/
                if (type == "card") onClickShareCard();
                if (type == "wx") onClickShareToMoments();
                if (type == "moments") onClickShareToWeiXin();
                if (type == "more") onClickShareToMore();
                if (type == "qq") onClickShareToQQ();
                if (type == "qzone") onClickShareToQZone();
                if (type == "sina") onClickShareToSina();
            },
            onVoteItemChange: function (event) {
                /** 检测投票多选限制选中项数量 **/
                var me = this;
                if (event.target.checked
                    && me.vote.multiselect == 1
                    && me.vote.multiselectNumber > 0
                    && me.vote.multiselectNumber < $(".vote").find("input:checked").length) {
                    alert("最多可选择" + me.vote.multiselectNumber + "项");
                    event.target.checked = false;
                }
            },
            onVoteSubmitClick: function () {
                /** 提交投票 **/
                var me = this, itemIds = [];
                $(".vote").find("input:checked").each(function (i, ele) { itemIds.push(ele.value); });
                onClickVoteSubmit(me.vote.voteId, itemIds.toString(), me.vote.drawRaffleId);
            },
            getVotePerLabel: function (count) {
                var me = this;
                return Math.ceil(count * 10000 / me.voteTotalCount) / 100 + "%";
            },
            subscribeWeMedia: function () {
                /** 订阅自媒体 **/
                onClickSubscribeWeMedia();
            },
            onWeMediaClick: function () {
                /** 点击自媒体 **/
                onClickWeMediaDetail();
            },
            onOpenSubscribe: function () {
                /*点击开启订阅推送*/
                preventBubble();
                onclickOpenSubscribe();
            },
            closeStudy: function () {
                /** 关闭学习 **/
                var me = this;
                me.isStudy = 0;
            },
            /** 跳转推荐频道 **/
            toRecommend: function(){
                var me = this;
                onClickRecommendChannel(detail.recommendChannelJson);
            },
            /* 点击版权声明 */
            onCopyrightClick(){
                onCopyright();
            },
            /* 点击媒体号 */
            onMediaReporterClick(id){
                onMediaReporter(id);
            },
            /* 点击标签 */
            onTagClick(tagName){
                onTagSearch(tagName);
            },
        },
        updated: function () {
            var me = this;
            me.init();
        },
        mounted: function () {
            if (detail.selfChannelOrNot) {
                this.$data.weMediaNick = detail.channelJson.name;
                this.$data.weMediaPortrait = detail.channelJson.lconImagePath;
                this.$data.weMediaSubscribed = detail.channelJson.isSubscribe;
            }
            /** 显示页面 **/
            $(".base").removeClass("off");
            /** 初始化 **/
            var me = this;
            me.init();
            /** 广告滑动设置 **/
            new Swiper(".swiper-container", {
                pagination: ".swiper-pagination",
                paginationClickable: true,
                slidesPerView: 1,
                spaceBetween: 0,
                loop: me.adList.length > 1,
                autoplay: 2500,
                autoplayDisableOnInteraction: false,
            });

            if (me.isStudy == 1) {
                /*直接开始倒计时*/
                me.studyTime = me.studyTime * 60;
                function setTime() {
                    me.study_minute = parseInt((me.studyTime / 60).toString()) < 10 ? ("0" + parseInt((me.studyTime / 60).toString())) : parseInt((me.studyTime / 60).toString());
                    me.study_second = (me.studyTime % 60).toString() < 10 ? ("0" + (me.studyTime % 60).toString()) : (me.studyTime % 60).toString();
                }
                setTime();
                var timer = setInterval(function () {
                    me.studyTime--;
                    if (me.studyTime <= 0) {
                        me.studyStatus = 1;
                        me.studyTime = 0;
                        clearInterval(timer);
                        onClickStudyEnd();
                    }
                    setTime()
                }, 1000)

            }
            params = me.$data.commentParams;
            getComment();
        }
    });
}

function setTextContentOthers(jsonString){
    var data = null;
    if ((null == jsonString || "" == jsonString) && window.java && typeof window.java.getTextContentOthers == "function") {
        jsonString = window.java.getTextContentOthers();
        data = JSON.parse(jsonString);
    }
    else data = jsonString;
    Vue.set(vm.$data,"relatedList",data.relatedList);
    
    var reporterList = (!!data.reporterFreJSONArray&&data.reporterFreJSONArray.length>0)?data.reporterFreJSONArray:[];
    Vue.set(vm.$data,"reporterMediaList",reporterList);

    var reporter = (!!data.reporterFreJSONArray&&data.reporterFreJSONArray.length>0)?data.reporterFreJSONArray[0]:data.reporterFreJSON;
    Vue.set(vm.$data,"reporterMedia",reporter);
}

/** 处理正文中的段首占位空格 **/
function replaceNBSP() {
    if ($(".content").length == 0) return;
    var nodes = $(".content").get(0).childNodes;
    if( nodes ){
        for (var i = 0; i < nodes.length; i++) {
            var nodeStr = $(nodes[i]).html();
            if (nodeStr) {
                var str = "";
                for (var s = 0; s < nodeStr.length; s++) {
                    if (nodeStr[s] == " ")
                        str += "&nbsp;";
                    else {
                        if (s > 0) nodeStr = nodeStr.replace(nodeStr.substr(0, s), str);
                        break;
                    }
                }
                $(nodes[i]).html(nodeStr);
            }
        }
    }
}

/** 处理正文中的内链点击 **/
function addContentLinkListener() {
    $(".content label[data-plugin-type='content']").each(function (i, lab) {
        lab.onclick = onClickContentLink;
    });
}

/** 处理正文中的活动内链点击 **/
function addActivityLinkListener() {
    $( ".content label[data-content-type='1']" ).each( function( i, lab ) {
        lab.onclick = onClickContentLink;
    } );
}

/** 处理正文中的广告内链点击 **/
function addAdLinkListener(){
    $(".content label[data-content-type='8']").each(function (i, lab) {
        lab.onclick = onClickContentLink;
    });
}

/** 处理正文中的图片点击放大 **/
function addImgListener() {
    $(".content img").each(function (i, img) {
        if (img.getAttribute("data-plugin-type" == "video")) return true;
        img.setAttribute("data-index", i);
        img.onclick = onClickContentImage;
    });
}

/** 处理正文视频 **/
function replaceVideo() {
    $("section[data-plugin-type='video']").each(function (i, section) {
        $(section).find("div").replaceWith("<div class='video_play_btn'></div>");
        $(section).find(".video_play_btn").unbind("click");
        $(section).find(".video_play_btn").bind("click", function (event) {
            var program = JSON.parse($(event.target).parent("section").find("img").get(0).getAttribute("data-value"));
            if (null == program) return;
            var video = program.video;
            if (null == video) return;
            if (null == video.streamList) return;
            if (0 == video.streamList.length) return;
            var stream = video.streamList[0];
            for (var s = 0; s < video.streamList.length; s++)
                if (video.streamList[s].isDefault == 1)
                    stream = video.streamList[s];

            onClickVideo(stream.url);
        });

    });
}

/** 处理正文音频 **/
function replaceAudio() {
    $("embed[data-plugin-type='audio']").each(function (index, embed) {
        var program = JSON.parse(decodeURIComponent(embed.getAttribute("data-value")));
        console.dir(program);
        var url = program.mmsURL + "/amc/getProgramVideoPlayUrl.jspa?callback=?";
        $.getJSON(url, { programId: program.id, programVideoId: program.video.videoId, videoType: "PC" }, function (res) {
            var stream = res.data.streamList[0];
            $(embed).replaceWith("<audio controls src='" + stream.url + "'></audio>");
        });
    });
}

/** 点击播放视频 **/
function onClickVideo(url) {
    if (window.java)
        window.java.onClickVideo(url);
    else window.location = "(" + url + "(playVideo";
}

/** 点击显示大图 **/
function onClickContentImage(event) {
    var index = this.getAttribute("data-index");
    var list = new Array();
    //$( ".content img[data-plugin-type='image']" ).each( function( i, img ) {
    $(".content").find("img").each(function (i, img) {
        list.push(img.src);
    });
    var url = list[index];
    if (!url) url = this.src;
    if (window.java)
        window.java.onClickImage("[" + list.toString() + "]", url, index);
    else window.location = "(" + list.toString() + "(" + url + "(" + index + "(onClickImage";
}

/** 点击通知app打开内链 **/
function onClickContentLink() {
    var id = this.getAttribute("data-id");
    var originalId = this.getAttribute("data-original-id");
    var contentType = this.getAttribute("data-content-type");
    var shareUrl = this.getAttribute("data-content-shareUrl");

    if (window.java) {
        window.java.onClickContentLink(id, originalId, contentType);
    }
    else window.location = "(" + id + "(" + originalId + "(" + contentType + "(" + shareUrl + "(onClickContentLink";
}

/** 强制处理图片、表格、内链 **/
function formatContent() {
    $(".content img, .content table").each(function (i, elem) {
        if (elem.getAttribute("data-plugin-type") == "video") return true;
        elem.style.maxWidth = "100%";
        elem.style.minWidth = "auto";
        elem.style.width = "auto";
        elem.style.height = "auto";
        elem.style.margin = "0";
    });
    $("section[data-plugin-type]").css("text-indent", "0");
    $("section[data-plugin-type]").find("center").css("text-indent", "0");
}

/** 点击相关内容 **/
function onClickRelatedContent(content) {
    var itemJson = JSON.stringify(content);
    if (window.java) window.java.onClickRelatedContent(itemJson);
    else window.location = "(" + itemJson + "(gotonetNews";
}

/** 广告点击 **/
function onClickAd(adId) {
    if (window.java) {
        window.java.onClickAd(adId);
    }
    else window.location = "(" + adId + "(onClickAd";
}

/** 活动点击 **/
function onClickActivity(id){
    if ( window.java ) {
        window.java.onClickActivity( id );
    }
    else window.location = "(" + id + "(onClickActivity";
}

/** 评论回复 **/
function onClickReplyComment(commentId){
    if(window.java){
        window.java.onClickReplyComment(commentId)
    }else{
        window.location = "(" + commentId + "(onClickReplyComment";
    }
}

/*播放时，隐藏掉语音播报按钮 */
function onVoicePlay() {

    $('.play_voice').hide();
    if (window.java) window.java.onVoicePlay();
    else window.location = "(onVoicePlay";

}

/**语音播报结束或关闭时，显示语音播报按钮*/
function onVoicePlayOver() {
    $('.play_voice').show();
}

/** 文章点赞 **/
function onClickTop() {
    if (window.java) window.java.onClickTop();
    else window.location = "top";
}
            
/*切换为点赞后的状态*/
function changedToTop(topCount){
    if( vm ) vm.$data.topCount = topCount;

    $(".praise").addClass("praised");

}

/*切换为未点赞的状态*/
function unChangedToTop(topCount){

    if( vm ) vm.$data.topCount = topCount;

    $(".praise").removeClass("praised");
}


/** 分享到微信盆友圈 **/
function onClickShareToWeiXin() {
    if (window.java) window.java.onClickShareToWeiXin();
    else window.location = "wxpy";
}

/** 海报分享 **/
function onClickShareCard() {
    if (window.java) window.java.onClickShareCard();
    else window.location = "card";
}

/** 分享到微信好友 **/
function onClickShareToMoments() {
    if (window.java) window.java.onClickShareToMoments();
    else window.location = "wx";
}

/** 分享到QQ **/
function onClickShareToQQ() {
    if (window.java) window.java.onClickShareToQQ();
    else window.location = "qq";
}

/** 分享到QQ空间 **/
function onClickShareToQZone() {
    if (window.java) window.java.onClickShareToQZone();
    else window.location = "qzone";
}

/** 分享到新浪微博 **/
function onClickShareToSina() {
    if (window.java) window.java.onClickShareToSina();
    else window.location = "sina";
}

/** 更多分享 **/
function onClickShareToMore() {
    if (window.java) window.java.onClickShareToMore();
    else window.location = "onClickShareToMore";
}

/** 提交投票 **/
function onClickVoteSubmit(voteId, itemIds, drawRaffleId) {
    if (window.java) window.java.submitVote(voteId, itemIds, drawRaffleId);
    else window.location = "(" + voteId + "(" + itemIds + "(" + drawRaffleId + "(submitVote";
}

/** 点赞，动画效果，数量 +1， **/
function setTop(topCount) {
    if( vm ) vm.$data.topCount = topCount;
    /** 显示+1动画 **/
    var span = "<span class='zan_info'>+1</span>";
    $( ".center" ).append( span );
    setTimeout( function(){ $(".zan_info").css( "top", -30 ); }, 100 );
    setTimeout( function(){ $(".zan_info").css( "opacity", 0.2 ); }, 100 );
    setTimeout( function(){ $(".zan_info").remove(); }, 600 );
    $(".praise").addClass("praised");
}

/** 取消点赞，动画效果，数量-1 **/
function unSetTop(topCount){
    /** 显示+1动画 **/
    var span = "<span class='zan_quxiao'>-1</span>";
    $( ".center" ).append( span );
    setTimeout( function(){ $(".zan_quxiao").css( "top", -30 ); }, 100 );
    setTimeout( function(){ $(".zan_quxiao").css( "opacity", 0.2 ); }, 100 );
    setTimeout( function(){ $(".zan_quxiao").remove(); }, 600 );
    if( vm ) vm.$data.topCount = topCount;
    $(".praise").removeClass("praised");
}

/** 设置投票结果 **/
function setVoteResult(jsonString) {
    var result;
    if (window.java && typeof window.java.getVoteResult == "function") {
        jsonString = window.java.getVoteResult();
        result = JSON.parse(jsonString);
    }
    else result = jsonString;
    var vote = result.vote;
    var voteTotalCount = 0;
    for (var i = 0; i < vote.itemList.length; i++) voteTotalCount += Number(vote.itemList[i].count);
    if (vm) {
        vm.$data.voteTotalCount = Math.max(voteTotalCount, 1);
        vm.$data.vote = vote;
        vm.$data.showVoteResult = true;
    }
}


/** 客户端调用，强制停止所有音视频播放 **/
function stopMedia() {
    $("video, audio").each(function (index, media) {
        media.pause();
    });
}

/** 订阅自媒体 **/
function onClickSubscribeWeMedia() {
    /** 通知客户端自媒体订阅（取消订阅） **/
    if (window.java) window.java.subscribeWeMedia();
    else window.location = "subscribeWeMedia";
}

/** 点击自媒体 **/
function onClickWeMediaDetail() {
    /** 通知客户端打开自媒体主页 **/
    if (window.java) window.java.onClickWeMediaDetail();
    else window.location = "onClickWeMediaDetail";
}

/*改变自媒体订阅状态传1为修改为已经订阅状态 0为改为为订阅状态*/
function changeWeMediaStatus(status) {
    if (vm) {
        vm.$data.weMediaSubscribed = status;
    }
}


/** 设置自媒体信息 **/
function setWeMedia(nickName, portrait, subscribed) {
    nickName = nickName || "";
    portrait = portrait || "images/user_default.png";
    subscribed = 1 == (Number(subscribed || 0));
    if ("" == nickName) nickName = "自媒体";
    if ("" == portrait) portrait = "";
    if (vm) {
        vm.$data.isWeMedia = 1;
        vm.$data.weMediaNick = nickName;
        vm.$data.weMediaPortrait = portrait;
        vm.$data.weMediaSubscribed = subscribed;
    }
}


function preventBubble(event) {
    var e = arguments.callee.caller.arguments[0] || event; //若省略此句，下面的e改为event，IE运行可以，但是其他浏览器就不兼容
    if (e && e.stopPropagation) {
        e.stopPropagation();
    } else if (window.event) {
        window.event.cancelBubble = true;
    }
}

/** 通知客户端点击了学习完成按钮 **/
function onClickStudyEnd() {
    if (window.java) window.java.onClickStudyEnd();
    else window.location = "onClickStudyEnd";
}

/** 修改学习按钮状态为已完成 如果 status为状态 成功：1，失败：0 **/
function changeStudyStatus(status) {
    if (vm && status) {
        vm.$data.studyStatus = 1;
    } else {
        vm.$data.studyStatus = 1;
    }
}

/** 通知客户端 用户点击了开启订阅号推送功能 **/
function onclickOpenSubscribe() {
    if (window.java) window.java.onclickOpenSubscribe();
    else window.location = "onclickOpenSubscribe";
}
/** 显示是否开启推送的提示 **/
function showOpenSubscribeTip() {
    if (vm) {
        vm.$data.openSubscribe = 1;
    }
}
/** 隐藏是否开启推送的提示 **/
function hideOpenSubscribeTip() {
    if (vm) {
        vm.$data.openSubscribe = 0;
    }
}

/* 点击跳转频道 */
function onClickRecommendChannel(jsonData){
    if ( window.java ) window.java.toRecommendChannel( JSON.stringify(jsonData) );
    else window.location = "(" + JSON.stringify(jsonData) + "(toRecommendChannel";
}

/* 点击版权声明，跳转版权声明 */
function onCopyright(){
    if ( window.java ) window.java.onCopyright();
    else window.location = "(onCopyright";
}

/* 点击记者号，跳转记者号 */
function onMediaReporter(id){
    if ( window.java ) window.java.onMediaReporter(id);
    else window.location = "(" + id + "(onMediaReporter";
}

/* 点击标签跳转搜索页 */
function onTagSearch(tagName){
    if ( window.java ) window.java.onTagSearch(tagName);
    else window.location = "(" + tagName + "(onTagSearch";
}

/*body点击或者页面滑动隐藏是否开启推送的提示*/
var isIos = true;
/*if(window.java){
 isIos = false;
 }*/
var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
// var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
if (isAndroid) {
    isIos = false;
}
if (!isIos) {
    document.getElementsByTagName("body")[0].addEventListener("touchstart", function (e) {
        if (e.path[0].className.indexOf("su") == -1) {
            hideOpenSubscribeTip()
        }
    });
}
if (isIos) {
    document.getElementsByTagName("body")[0].addEventListener("touchstart", function (event) {
        if (!event.target.getAttribute("class") || event.target.getAttribute("class").indexOf("su") == -1) {
            hideOpenSubscribeTip()
        }
    });
}
