( $_BASE = function() {
    return {
        /** 互动波后台地址 **/
        shinyv_url: "http://120.26.128.238:8080/amc",
        /** 其他分享页文件夹（share、hdshare）相对index_share.html的路径 **/
        path: "../",
        /** 默认title **/
        defaultTitle: "互动.波",
        /** 个性化设置，app下载提示 **/
        download: {
            enabled: false,
            downloadURL: ""
        },
        /** 内容类型 **/
        CONTENT_TYPE: {
            ACTIVITY: 1, RAFFLE: 2, VOTE: 3, LIVE: 4, NEWS: 5, GALLERY: 6, SPECIAL: 7, AD: 8, VIDEO: 9,
            ACTIVITY_SIGN: "activity_sign", ACTIVITY_WORK_DETAIL: "activity_work_detail",
            INVITE: "invite",
            MMS_BAO_LIAO: "baoliao", MMS_TV_LIVE: "tvlive", MMS_BROADCAST: "broadcast",
            CIS_MERCHANT_DETAIL: "store", CIS_GROUP_BUYING_DETAIL: "groupbuydetail"
        },
        /** 分享页地址 **/
        PAGE: {
            ACTIVITY: "hdshare/live_activity.html",
            ACTIVITY_SIGN: "hdshare/sign_in.html",
            ACTIVITY_WORK_DETAIL: "hdshare/share_work_detail.html",
            RAFFLE: "",
            VOTE: "hdshare/vote_detail.html",
            LIVE: "hdshare/enterprise_live_interactive.html",
            NEWS: "share/news/detail_index.html",
            GALLERY: "share/atlas_detail.html",
            SPECIAL: "share/special_share.html",
            AD: "share/ad_detail.html",
            VIDEO: "share/vedio_detail.html",
            INVITE: "share/invite/invite_h5.html",
            MMS_BAO_LIAO: "share/program_detail.html",
            MMS_TV_LIVE: "share/live_ds.html",
            MMS_BROADCAST: "share/live_dt.html",
            CIS_MERCHANT_DETAIL: "share/store_detail.html",
            CIS_GROUP_BUYING_DETAIL: "share/groupbuy_detail.html"
        },
        /** 获取地址栏参数 **/
        getLocationParam: function( key ) {
            var str = window.location.search.replace( "?", "" );
            var list = str.split( "&" );
            for( var i = 0; i < list.length; i++ ) {
                var k = list[i].split( "=" )[0];
                var v = list[i].split( "=" )[1];
                if( k == key ) return v;
            }
            return null;
        },
        /** 图片统计 **/
        imageStatistics: function( ids ) {
            try{
                var me = this;
                $.getJSON( me.shinyv_url + "/client/updatePicReportData",
                    { uniqueCode: me.getLocationParam( "contentCode" ), picIds: ids } );
            }
            catch( error ) {}
        },
        /** 微信二次分享 **/
        initWeiXin: function( title, description, imgUrl ) {
            var me = this;
            var script = document.createElement( "script" );
            script.onload = function() {
                var locationURL = location.href.split('#')[0];
                $.getJSON(
                    me.shinyv_url + "/client/getWeiXinTicket?callback=?",
                    { nodeCode: me.getLocationParam( "contentCode" ), url: locationURL },
                    function( res ) {
                        wx.ready( function() {
                            /** 微信二次分享 **/
                            try {
                                var wxParams = { title: title, desc: description, link: locationURL, imgUrl: imgUrl };
                                wx.onMenuShareTimeline( wxParams );
                                wx.onMenuShareAppMessage( wxParams );
                                wx.onMenuShareQQ( wxParams );
                                wx.onMenuShareQZone( wxParams );
                                wx.onMenuShareWeibo( wxParams );
                            }
                            catch( err ) { console.log( err ); }
                        } );
                        wx.config( {
                            debug: false,
                            appId: res.data.appid, // 必填，公众号的唯一标识
                            timestamp: res.data.timestamp, // 必填，生成签名的时间戳
                            nonceStr: res.data.noncestr, // 必填，生成签名的随机串
                            signature: res.data.sha1,// 必填，签名，见附录1
                            jsApiList: [
                                'onMenuShareTimeline',
                                'onMenuShareAppMessage',
                                'onMenuShareQQ',
                                'onMenuShareWeibo',
                                'onMenuShareQZone'
                            ] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
                        } );
                    } );
            };
            script.src = "http://res.wx.qq.com/open/js/jweixin-1.0.0.js";
            document.body.appendChild( script );
        }
    }
} () );