var vm = new Vue({
    el: ".comment_container",
    data() {
        return {
            params:{
                pageNo: 0,
                pageSize: 10,
                parentId: 0,
            },
            commentList: [],
            commentLoadOver: false,
            commentTotal: 0,
            commentPage: 0,
        }
    },
    methods:{
        /* 获取评论 */
        getComment: function(){
            /* 通知客户端，获取评论 */
            if (window.java) window.java.getCommentRequest(this.params.pageNo, this.params.pageSize, this.params.parentId);
            else window.location = "(" + this.params.pageNo + "(" + this.params.pageSize + "(" + this.params.parentId + "(getCommentRequest";
        },
        /* 获取评论回复 */
        getCommentReply: function(comment){
            /* 通知客户端，获取评论回复 */
            if (window.java) window.java.getCommentRequest(comment.replayParams.pageNo, comment.replayParams.pageSize, comment.replayParams.commentId);
            else window.location = "(" + comment.replayParams.pageNo + "(" + comment.replayParams.pageSize + "(" + comment.replayParams.commentId + "(getCommentRequest";
        },
        /* 更多评论 */
        loadMoreComment: function(){
            this.params.pageNo++;
            this.getComment();
        },
        /** 更多评论回复 **/
        onClickCommentMoreReply: function(comment){
            if (!!comment.replayParams) {
                comment.replayParams.pageNo++;
                this.getCommentReply(comment);
            } else {
                comment.replayParams = {
                    pageNo: 0,
                    pageSize: 10,
                    parentId: comment.id,
                    commentId: comment.id,
                };
                this.getCommentReply(comment);
            }
        },
        /** 评论点赞 **/
        onClickCommentPraise: function(event,comment) {
            var _this = this;
            let target = event.currentTarget;
            let clsArray = target.classList;
            if (!clsArray.contains("praised")) {
                /* 通知客户端，评论点赞 */
                if (window.java) window.java.addCommentTop(comment.id);
                else window.location = "(" + comment.id + "(addCommentTop";
            }
        },
        /** 评论回复 **/
        replyComment: function(commentId){
            if(window.java){
                window.java.clickReComment(commentId)
            }else{
                window.location = "(" + commentId + "clickReComment";
            }
        }
    }
});

/* 评论渲染 */
function renderComment(jsonString){
    var data;
    if ((null == jsonString || "" == jsonString) && window.java && typeof window.java.getComments == "function") {
        jsonString = window.java.getComments();
        data = JSON.parse(jsonString);
    }
    else data = jsonString;

    if (vm.$data.params.pageNo == 0) {
        vm.$data.commentList = data.commentList;
    } else {
        vm.$data.commentList = vm.$data.commentList.concat(
            data.commentList
        );
    }
    vm.$data.commentTotal = data.totalComment;

    vm.$data.commentPage = Math.ceil(
        data.totalComment / vm.$data.params.pageSize
    );

    if (vm.$data.params.pageNo >= vm.$data.commentPage - 1) {
        vm.$data.commentLoadOver = true;
    } else {
        vm.$data.commentLoadOver = false;
    }
}

/* 评论回复渲染 */
function renderCommentReply(jsonString){
    var data;
    if ((null == jsonString || "" == jsonString) && window.java && typeof window.java.getComments == "function") {
        jsonString = window.java.getComments();
        data = JSON.parse(jsonString);
    }
    else data = jsonString;

    for(var i=0;i<vm.$data.commentList.length;i++){
        if(vm.$data.commentList[i].id == data.parentId){
            var curComment = vm.$data.commentList[i];
            if (curComment.replayParams.pageNo == 0) {
                curComment.childArray = data.commentList;
            } else {
                curComment.childArray = curComment.childArray.concat(data.commentList);
            }
            break;
        }
    }
}

/* 评论点赞后 */
function commentPraised(commentId,topCount){
    for(var i=0;i<vm.$data.commentList.length;i++){
        if(vm.$data.commentList[i].id == commentId){
            var curComment = vm.$data.commentList[i];
            curComment.praised = true;
            curComment.topCount = topCount;
            break;
        }
    }
}

function setBody(){
    vm.getComment();
}
